Lucene search

K
amazonAmazonALAS-2023-1853
HistorySep 27, 2023 - 10:15 p.m.

Medium: ghostscript

2023-09-2722:15:00
alas.aws.amazon.com
12
ghostscript
divide by zero
denial of service
pdf
update
cve-2020-21710

5.5 Medium

CVSS3

Attack Vector

LOCAL

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

0.001 Low

EPSS

Percentile

40.7%

Issue Overview:

A divide by zero issue discovered in eps_print_page in gdevepsn.c in Artifex Software GhostScript 9.50 allows remote attackers to cause a denial of service via opening of crafted PDF file. (CVE-2020-21710)

Affected Packages:

ghostscript

Issue Correction:
Run yum update ghostscript to update your system.

New Packages:

i686:  
    ghostscript-devel-8.70-24.32.amzn1.i686  
    ghostscript-debuginfo-8.70-24.32.amzn1.i686  
    ghostscript-8.70-24.32.amzn1.i686  
    ghostscript-doc-8.70-24.32.amzn1.i686  
  
src:  
    ghostscript-8.70-24.32.amzn1.src  
  
x86_64:  
    ghostscript-debuginfo-8.70-24.32.amzn1.x86_64  
    ghostscript-devel-8.70-24.32.amzn1.x86_64  
    ghostscript-doc-8.70-24.32.amzn1.x86_64  
    ghostscript-8.70-24.32.amzn1.x86_64  

Additional References

Red Hat: CVE-2020-21710

Mitre: CVE-2020-21710

5.5 Medium

CVSS3

Attack Vector

LOCAL

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

0.001 Low

EPSS

Percentile

40.7%